Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKKeyFactory.ElGamal

    java.lang.Object
      java.security.KeyFactorySpi
          org.bouncycastle.jce.provider.JDKKeyFactory
              org.bouncycastle.jce.provider.JDKKeyFactory.ElGamal

Enclosing class:
  JDKKeyFactory

public static class JDKKeyFactory.ElGamal
extends JDKKeyFactory

Nested Class Summary

Nested classes inherited from class org.bouncycastle.jce.provider.JDKKeyFactory
`JDKKeyFactory.DH, JDKKeyFactory.DSA, JDKKeyFactory.EC, JDKKeyFactory.ECDH, JDKKeyFactory.ECDHC, JDKKeyFactory.ECDSA, JDKKeyFactory.ECGOST3410, JDKKeyFactory.ElGamal, JDKKeyFactory.GOST3410, JDKKeyFactory.RSA`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.JDKKeyFactory
`elGamalFactory`

Constructor Summary
`JDKKeyFactory.ElGamal()`

Method Summary
`protected java.security.PrivateKey` | `engineGeneratePrivate(java.security.spec.KeySpec keySpec)`
`protected java.security.PublicKey` | `engineGeneratePublic(java.security.spec.KeySpec keySpec)`

Methods inherited from class org.bouncycastle.jce.provider.JDKKeyFactory
`engineGetKeySpec, engineTranslateKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKKeyFactory.ElGamal

    public JDKKeyFactory.ElGamal()

Method Detail

### engineGeneratePrivate

    protected java.security.PrivateKey engineGeneratePrivate(java.security.spec.KeySpec keySpec)
                                                      throws java.security.spec.InvalidKeySpecException

  Throws:
    `java.security.spec.InvalidKeySpecException`

### engineGeneratePublic

    protected java.security.PublicKey engineGeneratePublic(java.security.spec.KeySpec keySpec)
                                                    throws java.security.spec.InvalidKeySpecException

  Throws:
    `java.security.spec.InvalidKeySpecException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD